<?php
//共通
require_once '../../base/common.php';

$logger = new logger(basename(__FILE__));
$logger->info("=== af294x_index_start ===");
//$logger->info('post', $_POST);

//$assign_var["noeventClassHeader"] = "";
//$assign_var["noeventClassBody"]   = "noevent";

//POPUP
$assign_var["hasPopKtktcd"]="1";
$assign_var["hasPopJan"]="1";

$header = Array();
$valutil = new getValueUtil();

//売上、値引をパラメータで区別する
//param1 : 
if($_GET != null) {
  $header["param1"] = $_GET["param1"];
}

if($header["param1"] == '32') {
  $header["title"] = '良品⇒不良品　振替';
} else if($header["param1"] == '31') {
  $header["title"] = '不良品⇒良品　振替';
}

$assign_var["header"] = $header;
$logger->info("header", $header);

$gInit_array = array( //初期値
  "spktcd"  => "",
);

//$assign_var["data"] = $gInit_array;
$assign_var["init_data"] = json_encode($gInit_array);

$logger->info('assign_var',$assign_var);

// 初期表示
/*$dataList = Array(
);
$obj = [];
array_push($dataList, $obj);

$logger->info("dataList", $dataList);
$assign_var["dataList"] = $dataList;*/

//Smartyへアサイン
$logger->info("assign_var",$assign_var);
$smarty->assign($assign_var);
$smarty->display("index");

$logger->info("=== af294x_index_end ===");
?>
